<?php

class url
{
	const SEPARATOR = '&' ;

	static public function checkURL($url, $absolute = true) 
	{
		return true ;
	}
	
	public function __construct($url = null, $absolute = true)
	{
		if(is_null($url))
		{
			$this->_paramsList = array() ;
			$this->_filename = '' ;
		}
		else
		{
			$this->set($url) ;
		}

		$this->setAbsolute($absolute) ;
	}

	public function set($url)
	{
		trigger_error("Can't perform $url !") ;
	}

	public function get()
	{
		if(is_null($this->_plain))
			if($this->build())
				return $this->_plain ;

		return '' ;
	}

	public function setParam($name, $value)
	{
		$this->_paramsList[$name] = $value ;
	}

	public function setFilename($filename)
	{
		$this->_filename = $filename ;
	}

	public function setAbsolute($absolute)
	{
		$this->_absolute = $absolute ;
	}

	protected function build()
	{
		$url = $this->_filename ;

		$first = true ;
		if(!is_null($this->_paramsList))
			foreach($this->_paramsList as $name => $value)
			{
				$url .= $first ? '?' : self::SEPARATOR ;
				$first = false ;

				$url .= "{$name}={$value}" ;
			}

		if(self::checkURL($url))
		{
			$this->_plain = $url ;
			return true ;
		}

		$this->_plain = null ;
		return false ;
	}

	private $_plain = null ;
	
	private $_paramsList = null ;
	private $_filename = null ;
}

?>
