<?php

require_once 'lib/view/class.page.php' ;

require_once 'lib/view/class.wgnewspaper.php' ;
require_once 'lib/view/class.wgadventure.php' ;
require_once 'lib/view/class.wgkind.php' ;

require_once 'lib/view/class.wgmenu.php' ;
#require_once 'lib/view/class.wgcontentkinds.php' ;

/**
  */
class AdventuresPage extends Page
{
	public function __construct($template)
	{
		parent::__construct() ;
		$this->loadTemplate($template) ;
	}
	
	public function getLogo()
	{
	}
	
	public function getPub()
	{
	}

	public function getMainMenu($current_type)
	{
		return $this->createWebget('mainmenu', 'menuhtmlshow', true) ;
	}
	
	public function getSubMenu($current_type)
	{
	}

	public function getContent($type, $listMode = false, $action = 'show')
	{
		$webget = $listMode
			? "content{$type}List{$this->format}{$action}"
			: "content{$type}{$this->format}{$action}" ;
		
		if(is_null($webget))
			return null ;
		else
			return $this->createWebget('content', $webget , true) ;
	}

	public function getAdminContent()
	{
		return $this->createWebget('admin', 'contentAdminHTML') ;
	}

	public function getError()
	{
		return $this->createWebget('error', "WGError{$this->format}") ;
	}

	protected $format = 'HTML' ;
}

?>
