<?php

class ValueObject
{
	protected $value ;

	public function __construct($value)
	{
		$this->set($value) ;
	}

	public function get()
	{
		return $this->value ;
	}

	protected function set($value)
	{
		return $this->value = $value ;
	}
}

class MutableObject extends ValueObject
{
	public function set($value)
	{
		return parent::set($value) ;
	}
}

?>
<?xml version="1.0" encoding="iso-8859-15"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="fr">
<head>
	<title>Essai mutable</title>
</head>
<body>
<?php

$val0 = new ValueObject(56) ;

$val1 = new MutableObject($val0->get() + 4) ;
$val1->set(36) ;

var_dump($val0, $val1) ;

?>
</body>
</html>
