<?xml version="1.0" encoding="iso-8859-15"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="fr">
<head>
    <title><?php echo "Titre" ?></title>
    <style>
    .match { color:green ; }
    </style>
</head>
<body>
<?php

$search = array_key_exists('search', $_GET)
    ? $_GET['search'] : null ;

$thing = array_key_exists('thing', $_POST)
    ? $_POST['thing'] : null ;

$things = array() ;
    
$con = new MySQLi('localhost', 'avmp3', null, 'avmp3') ;

if(!is_null($thing))
{
    $stmt = $con->stmt_init() ;
    $stmt->prepare('insert Test (thing) values (?)') ;
    $stmt->bind_param('s', $thing) ;
    $stmt->execute() ;
    $stmt->close() ;
}

$id_searched = null ;
if(!is_null($search))
{
	try
	{
    	$stmt = $con->stmt_init() ;
    	$stmt->prepare('select id from Test where thing like ?') ;
    	$escaped_search = $con->real_escape_string($search) ;
    	$stmt->bind_param('s', $escaped_search) ;
    	$stmt->execute() ;
    	$stmt->store_result() ;
    	$stmt->bind_result($id_searched) ;
    	$stmt->fetch() ;
    	$stmt->free_result() ;
    	$stmt->close() ;
	}
	catch(Exception $e)
	{
		trigger_error(e.message()) ;
	}
    var_dump($escaped_search, $search, $id_searched) ;
}

$stmt = $con->stmt_init() ;
$stmt->prepare('select id, thing from Test') ;
$stmt->execute() ;
$stmt->store_result() ;
$stmt->bind_result($id, $thing) ;

while($stmt->fetch())
{
    $things[$id] = $thing ;
}

$stmt->free_result() ;
$stmt->close() ;

$con->close() ;

?>
  <form action="stmt.php" method="post">
    <label for="thing">Chose  ajouter&nbsp;: </label>
    <input id="thing" name="thing" />
    <input type="submit" />
  </form>
  <form action="stmt.php" method="get">
    <label for="search">Chose  chercher&nbsp;: </label>
    <input id="search" name="search" />
    <input type="submit" />
  </form>
  <table>
    <thead>
      <tr><td>Id</td><td>Chose</td></tr>
    </thead>
    <tbody>
    <?php
        foreach($things as $id => $thing)
            echo $id == $id_searched
                ? "<tr class=\"match\"><td>$id</td><td>$thing</td></tr>"
                : "<tr><td>$id</td><td>$thing</td></tr>" ;
    ?>
    </tbody>
  </table>
</body>
</html>
